package com.cg.service.user;

import com.cg.entity.BsUser;
import com.cg.entity.BsUserLoginLog;
import com.cg.sysenum.UserLoginPlatform;
import com.cg.sysenum.UserLoginType;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @className: BsUserLoginLogService
 * @author: HuRui
 * @date: 2024/5/6
 **/
public interface BsUserLoginLogService {

    /**
     * 创建
     * @param userLoginLog
     */
    void create(BsUserLoginLog userLoginLog);

    /**
     * 异步创建登录日志
     * @param user
     */
    void asyncCreateLog(UserLoginPlatform loginPlatform, UserLoginType loginType, BsUser user, HttpServletRequest request);

    /**
     * 查询日志列表
     * @param param
     * @return
     */
    List<BsUserLoginLog> getLogList(Map<String, Object> param);

    BsUserLoginLog findUserLog(Long userId);
}
