package com.cg.service.user;

import java.util.Map;

/**
 * 用户积分业务
 * @className: UserIntegral
 * @author: HuRui
 * @date: 2024/5/20
 **/
public interface UserIntegralService {

    /**
     * 获取积分数量
     * @param userId
     * @return
     */
    Long getIntegral(Long userId);

    /**
     * 进账
     * @param userId 用户id
     * @param integralNum
     * @param opUser
     * @param source
     * @return
     */
    void entry(Long userId, Long integralNum, Map<String,Object> opUser, Map<String,Object> source);

    /**
     * 消费
     * @param userId 用户id
     * @param integralNum
     * @param opUser
     * @param source
     * @return
     */
    void consume(Long userId, Long integralNum,Map<String,Object> opUser, Map<String,Object> source);

}
