package com.cg.common.security;

import com.cg.entity.SecMenu;
import com.cg.entity.SecRole;
import com.cg.entity.SecUser;
import com.cg.model.MenuTreeModel;
import lombok.Data;

import java.util.List;

/**
 * session 对象
 * @author hurui
 */
@Data
public class SessionObject {

	/**
	 * 登录用户的唯一标识
	 */
	private String token;

	/**
	 * 存储用户基本信息
	 */
	private Object object;

	public SessionObject(String token, Object object) {
		this.token = token;
		this.object = object;
	}

}
